## kwallet-kf5 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(KWallet VERSION ${KF5_VERSION})
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMAddQch)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

option(BUILD_KWALLETD "Build the kwallet daemon" ON)
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION})

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kwallet-kf5 (5.68.0-0ubuntu2) focal; urgency=medium

  * Update symbols for riscv64.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 10:23:01 +1000

kwallet-kf5 (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:35 +0000

kwallet-kf5 (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:21 +0000

kwallet-kf5 (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:10 +0000

kwallet-kf5 (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:15 +0000

kwallet-kf5 (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:25 +0000

kwallet-kf5 (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:08:50 +0100

kwallet-kf5 (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:31 +0100

kwallet-kf5 (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:17:58 +0100

kwallet-kf5 (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:07 +0100

kwallet-kf5 (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:17 +0100

kwallet-kf5 (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:39:51 +0100

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libboost-dev,
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5service-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kwallet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet

Package: libkf5wallet-bin
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5wallet5 (<< 4.100.0)
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Runtime for interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Replaces: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkf5wallet-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5config-dev (>= 5.68.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.68.0~),
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5wallet-doc (= ${source:Version})
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.

Package: libkf5wallet-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 This package contains the qch documentation files.

Package: libkf5wallet5
Architecture: any
Multi-Arch: same
Depends: libkf5wallet-data (= ${source:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

Package: libkwalletbackend5-5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

testskip_architectures := powerpc s390x

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5wallet5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
	dh_auto_test
else
	echo Skipping tests on a known to fail architecture.
endif

## kwallet-kf5 5.74.0

=== debian/changelog ===
kwallet-kf5 (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:01:00 +0100

kwallet-kf5 (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:18 +0100

kwallet-kf5 (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:34:53 +0100

kwallet-kf5 (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Refresh blowfish_endianess.diff

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:25 +0100

kwallet-kf5 (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep Kubuntu symbols file.
    - d/rules: Do not run tests on ppc64el and s390x.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 08:21:49 +0100

kwallet-kf5 (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:38 +0200

kwallet-kf5 (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:05 +0100

kwallet-kf5 (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:09 +0200

=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libboost-dev,
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5configwidgets-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kwallet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
Rules-Requires-Root: no

Package: libkf5wallet-bin
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kio (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5wallet5 (<< 4.100.0),
        libkf5webkit5 (<< 5.54)
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Runtime for interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Replaces: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.74.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.74.0~),
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Recommends: libkf5wallet-doc (= ${source:Version})
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.
Breaks: libkf5kdelibs4support-dev (<< 5.54), libkf5khtml-dev (<< 5.54)

Package: libkf5wallet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
Breaks: kio (<< 5.54), libkf5khtml5 (<< 5.54), libkf5webkit5 (<< 5.54)

Package: libkwalletbackend5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

testskip_architectures := powerpc s390x

override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
	dh_auto_test
else
	echo Skipping tests on a known to fail architecture.
endif

override_dh_missing:
	dh_missing --list-missing

## kwallet-kf5 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 project(KWallet VERSION ${KF5_VERSION})
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)
 
 include(KDEInstallDirs)
@@ -20,6 +20,7 @@
 include(KDECMakeSettings)
 
 include(ECMAddQch)
+include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 
@@ -27,6 +28,7 @@
 option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
@@ -34,8 +36,8 @@
 find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5DocTools ${KF5_DEP_VERSION})
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
 add_definitions(-DQT_NO_FOREACH)
 add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd5\")
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")

=== src/api/KWallet/CMakeLists.txt ===

include(GenerateExportHeader)
include(ECMGenerateHeaders)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KWALLET
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwallet_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfigVersion.cmake"
                        SOVERSION 5)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kwallet_version.h
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

set(HAVE_KSECRETSSERVICE 0)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/config-kwallet.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/config-kwallet.h
)

if(APPLE)
    option(MAC_USE_OSXKEYCHAIN "On OS X, use the keychain as backend for kwallet, instead of kwalletd.")
else()
    set(MAC_USE_OSXKEYCHAIN FALSE)
endif()

if (MAC_USE_OSXKEYCHAIN)
    FIND_LIBRARY(SECURITY_LIBRARY Security)
    set(kwallet_SRCS kwallet_mac.cpp)
else()
    set(kwallet_SRCS kwallet.cpp)
    if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
        EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
        set(kwallet_xml org.kde.KWallet.xml)
    else()
        # copy of org.kde.KWallet.xml, but with all deprecated API removed
        set(kwallet_xml org.kde.KWallet.nodeprecated.xml)
    endif()
    qt5_add_dbus_interface( kwallet_SRCS ${kwallet_xml} kwallet_interface )
endif()

ecm_qt_declare_logging_category(kwallet_SRCS
    HEADER kwallet_api_debug.h
    IDENTIFIER KWALLET_API_LOG
    CATEGORY_NAME kf.wallet.api
    OLD_CATEGORY_NAMES kf5.kwallet.api
    DESCRIPTION "kwallet api"
    EXPORT KWALLET
)

add_library(KF5Wallet ${kwallet_SRCS})
ecm_generate_export_header(KF5Wallet
    BASE_NAME KWallet
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.72
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

add_library(KF5::Wallet ALIAS KF5Wallet)

target_include_directories(KF5Wallet INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KWallet>")

target_link_libraries(KF5Wallet PUBLIC  Qt5::Gui
                                PRIVATE Qt5::DBus
                                        Qt5::Widgets
                                PRIVATE KF5::WindowSystem # KWindowSystem::allowExternalProcessWindowActivation
                                        KF5::ConfigCore   # used to store the wallet to be used
)

if(MAC_USE_OSXKEYCHAIN)
   target_link_libraries(KF5Wallet PRIVATE ${CARBON_LIBRARY}
                                              ${SECURITY_LIBRARY})
elseif(APPLE)
    target_link_libraries(KF5Wallet PRIVATE ${CARBON_LIBRARY})
else()
    target_link_libraries(KF5Wallet PRIVATE Qt5::DBus)
    install(FILES ${kwallet_xml} DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} RENAME kf5_org.kde.KWallet.xml)
endif()

set_target_properties(KF5Wallet PROPERTIES VERSION   ${KWALLET_VERSION_STRING}
                                         SOVERSION ${KWALLET_SOVERSION}
                                         EXPORT_NAME Wallet
)

ecm_generate_headers(KWallet_HEADERS
  HEADER_NAMES
  KWallet

  REQUIRED_HEADERS KWallet_HEADERS
)

install(TARGETS KF5Wallet EXPORT KF5WalletTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kwallet_export.h
  ${KWallet_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KWallet COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Wallet_QCH
        NAME KWallet
        BASE_NAME KF5Wallet
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KWallet_HEADERS}
        LINK_QCHS
            Qt5Gui_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KWALLET_EXPORT
            KWALLET_DEPRECATED
            KWALLET_DEPRECATED_EXPORT
            "KWALLET_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Wallet")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Wallet_QCH
        FILE KF5WalletQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5WalletQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5WalletConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  PATH_VARS KDE_INSTALL_BINDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5WalletTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5WalletTargets.cmake NAMESPACE KF5:: )


include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KWallet LIB_NAME KF5Wallet DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KF5_INCLUDE_INSTALL_DIR}/KWallet)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/runtime/kwalletd/CMakeLists.txt ===
project(kwalletd5)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)

########### find needed packages ######
find_package(Gpgmepp 1.7.0) # provided by GpgME

if (Gpgmepp_FOUND)
    message("GPG support enabled")
    add_definitions(-DHAVE_GPGMEPP)
    add_definitions(-DBOOST_NO_EXCEPTIONS)
    include_directories(${GPGME_INCLUDES})
endif(Gpgmepp_FOUND)


include_directories(${CMAKE_CURRENT_BINARY_DIR})
########### build backends #########
add_subdirectory(backend)

########### kwalletd ###############

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/backend)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../api/KWallet)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KWALLETD
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwalletd_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WalletConfigVersion.cmake"
                        SOVERSION 5)

set(kwalletd_SRCS
   main.cpp
   kbetterthankdialog.cpp
   kwalletd.cpp
   kwalletwizard.cpp
   ktimeout.cpp
   kwalletsessionstore.cpp
)
ecm_qt_declare_logging_category(kwalletd_SRCS
    HEADER kwalletd_debug.h
    IDENTIFIER KWALLETD_LOG
    CATEGORY_NAME kf.wallet.kwalletd
    OLD_CATEGORY_NAMES kf5.kwallet.kwalletd
    DESCRIPTION "kwalletd"
    EXPORT KWALLET
)

ki18n_wrap_ui(kwalletd_SRCS
   kbetterthankdialogbase.ui
   kwalletwizardpageexplanation.ui
   kwalletwizardpageintro.ui
   kwalletwizardpageoptions.ui
   kwalletwizardpagepassword.ui
)

if (Gpgmepp_FOUND)
    set(kwalletd_SRCS
        ${kwalletd_SRCS}
        knewwalletdialog.cpp
    )
    ki18n_wrap_ui(kwalletd_SRCS
        kwalletwizardpagepasswordgpg.ui
        kwalletwizardpagegpgkey.ui
        knewwalletdialogintro.ui
        knewwalletdialoggpg.ui
    )
endif(Gpgmepp_FOUND)

if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.xml)
else()
    # copy of org.kde.KWallet.xml, but with all deprecated API removed
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.nodeprecated.xml)
endif()

qt5_add_dbus_adaptor( kwalletd_SRCS ${kwallet_xml} kwalletd.h KWalletD kwalletadaptor KWalletAdaptor)

if(WIN32)
    configure_file(org.kde.kwalletd5.service.win.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
else()
    configure_file(org.kde.kwalletd5.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

add_executable( kwalletd5 ${kwalletd_SRCS} )

target_link_libraries(kwalletd5
    kwalletbackend5
    KF5Wallet
    Qt5::Widgets
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::Service
    KF5::DBusAddons
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::Notifications)
if (Gpgmepp_FOUND)
    target_link_libraries(kwalletd5 Gpgmepp)
    kde_target_enable_exceptions(kwalletd5 PRIVATE)
endif(Gpgmepp_FOUND)

install(TARGETS kwalletd5  ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES kwalletd5.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kwalletd.notifyrc DESTINATION  ${KNOTIFYRC_INSTALL_DIR} )

=== debian/changelog ===
kwallet-kf5 (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:25 +0900

kwallet-kf5 (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

kwallet-kf5 (5.77.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused Build-Depends. (Closes: #979453)

 -- Norbert Preining <norbert@preining.info>  Thu, 07 Jan 2021 09:24:56 +0900

kwallet-kf5 (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

kwallet-kf5 (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Remove dh_missing override, we want to fail on missing files.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

kwallet-kf5 (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:09 +0200

kwallet-kf5 (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update blowfish_endianess.diff.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:54 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## kwallet-kf5 5.80.0

=== debian/changelog ===
kwallet-kf5 (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Refresh blowfish_endianess.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:42 +0000

kwallet-kf5 (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Restore libkf5wallet5.lintian-overrides after debian merge

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:52 +0000

kwallet-kf5 (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols file.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 10:52:42 +0000

kwallet-kf5 (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:17 +0000

kwallet-kf5 (5.77.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jan 2021 23:55:51 +0000

kwallet-kf5 (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 15:33:52 +0000

kwallet-kf5 (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:12:00 +0000

kwallet-kf5 (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 Source: kwallet-kf5
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
-               graphviz,
-               libboost-dev,
+               extra-cmake-modules (>= 5.80.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libgpgme-dev,
-               libgpgmepp-dev (>= 1.7.0~),
-               libkf5config-dev (>= 5.74.0~),
-               libkf5configwidgets-dev (>= 5.74.0~),
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5dbusaddons-dev (>= 5.74.0~),
-               libkf5doctools-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5service-dev (>= 5.74.0~),
-               libkf5widgetsaddons-dev (>= 5.74.0~),
-               libkf5windowsystem-dev (>= 5.74.0~),
+               libgpgme-dev | libgpgme11-dev,
+               libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
+               libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
+               libkf5config-dev (>= 5.80.0~),
+               libkf5configwidgets-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5dbusaddons-dev (>= 5.80.0~),
+               libkf5doctools-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5notifications-dev (>= 5.80.0~),
+               libkf5service-dev (>= 5.80.0~),
+               libkf5widgetsaddons-dev (>= 5.80.0~),
+               libkf5windowsystem-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/kwallet
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kwallet
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 Rules-Requires-Root: no
@@ -65,11 +65,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.74.0~),
+Depends: libkf5config-dev (>= 5.80.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.74.0~),
+         libkf5windowsystem-dev (>= 5.80.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
+         qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Recommends: libkf5wallet-doc (= ${source:Version})
 Description: development files for kwallet-framework

## kwallet-kf5 5.86.0

=== debian/changelog ===
kwallet-kf5 (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:46 +0100

kwallet-kf5 (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:16 +0100

kwallet-kf5 (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:02:03 +0100

kwallet-kf5 (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:19:09 +0100

kwallet-kf5 (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:48 +0100

kwallet-kf5 (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
                libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.80.0~),
-               libkf5configwidgets-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5dbusaddons-dev (>= 5.80.0~),
-               libkf5doctools-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5notifications-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5windowsystem-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5configwidgets-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5dbusaddons-dev (>= 5.86.0~),
+               libkf5doctools-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5notifications-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5windowsystem-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -65,9 +65,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.80.0~),
+Depends: libkf5config-dev (>= 5.86.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.80.0~),
+         libkf5windowsystem-dev (>= 5.86.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},

## kwallet-kf5 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KWallet VERSION ${KF_VERSION})
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

include(ECMAddQch)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

option(BUILD_KWALLETD "Build the kwallet daemon" ON)
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION})

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
add_definitions(-DTRANSLATION_DOMAIN=\"kwalletd5\")
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kwallet-kf5 (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:29:00 +0000

kwallet-kf5 (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:10:11 +0000

kwallet-kf5 (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:49:14 +0000

kwallet-kf5 (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:56 +0000

kwallet-kf5 (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:12:23 +0000

kwallet-kf5 (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lintian override: symbols-declares-dependency-on-other-package for
      libkf5wallet-bin
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 14:21:13 +0000

kwallet-kf5 (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

kwallet-kf5 (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:20:44 +0000

kwallet-kf5 (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:07:33 +0000

kwallet-kf5 (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:01:30 +0900

kwallet-kf5 (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

kwallet-kf5 (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:06:06 +0900

kwallet-kf5 (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:10 +0900

kwallet-kf5 (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:25:13 +0900

kwallet-kf5 (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:20:57 +0900

kwallet-kf5 (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

kwallet-kf5 (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Update patch.
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:36 +0900

kwallet-kf5 (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: kwallet-kf5
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
                libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.86.0~),
-               libkf5configwidgets-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5dbusaddons-dev (>= 5.86.0~),
-               libkf5doctools-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5notifications-dev (>= 5.86.0~),
-               libkf5service-dev (>= 5.86.0~),
-               libkf5widgetsaddons-dev (>= 5.86.0~),
-               libkf5windowsystem-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5configwidgets-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5dbusaddons-dev (>= 5.92.0~),
+               libkf5doctools-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5notifications-dev (>= 5.92.0~),
+               libkf5service-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
+               libkf5windowsystem-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kwallet
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
@@ -37,11 +37,11 @@
 Architecture: any
 Depends: libkf5wallet-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: kio (<< 5.54),
         libkf5khtml5 (<< 5.54),
         libkf5wallet5 (<< 4.100.0),
-        libkf5webkit5 (<< 5.54)
+        libkf5webkit5 (<< 5.54),
 Replaces: libkf5wallet5 (<< 4.100.0)
 Description: Secure and unified container for user passwords.
  Runtime for interface to KWallet, the safe desktop-wide storage
@@ -65,11 +65,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.86.0~),
+Depends: libkf5config-dev (>= 5.92.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.86.0~),
+         libkf5windowsystem-dev (>= 5.92.0~),
          libkwalletbackend5-5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5wallet-doc (= ${source:Version})
 Description: development files for kwallet-framework
@@ -95,7 +95,7 @@
 Depends: libkf5wallet-data (= ${source:Version}),
          libkwalletbackend5-5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Multi-Arch: same
 Description: Secure and unified container for user passwords.
  Interface to KWallet, the safe desktop-wide storage
